.\"	$NetBSD: ftime.3,v 1.13 2003/04/16 13:34:59 wiz Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)ftime.3	8.1 (Berkeley) 6/4/93
.\"
.Dd June 4, 1993
.Dt FTIME 3
.Os
.Sh NAME
.Nm ftime
.Nd get date and time
.Sh LIBRARY
.Lb libcompat
.Sh SYNOPSIS
.In sys/types.h
.In sys/timeb.h
.Ft int
.Fn ftime "struct timeb *tp"
.Sh DESCRIPTION
.Bf -symbolic
This interface is obsoleted by
.Xr gettimeofday 2 .
It is available from the compatibility library, libcompat.
.Ef
.Pp
.Bf -symbolic
Note: time zone information is no longer provided by this interface.
See
.Xr localtime 3
for information on how to retrieve it.
.Ef
.Pp
The
.Fn ftime
routine fills in a structure pointed to by its argument,
as defined by
.Aq Pa sys/timeb.h :
.Bd -literal -offset indent
struct timeb {
	time_t  time;
	unsigned short millitm;
	short   timezone;
	short   dstflag;
};
.Ed
.Pp
The structure contains the time since the epoch in seconds,
up to 1000 milliseconds of more-precise interval.
The
.Em timezone
and
.Em dstflag
fields are provided for source compatibility, but are always zero.
.Sh SEE ALSO
.Xr gettimeofday 2 ,
.Xr settimeofday 2 ,
.Xr ctime 3 ,
.Xr localtime 3 ,
.Xr time 3
.Sh HISTORY
The
.Fn ftime
function appeared in
.Bx 4.1 .
